#!/usr/bin/perl

$nameO= $ARGV[0];
$nameD= $nameO;
$nameD=~s/\.o$/.d/g;
$name="obj/$nameO .0/$nameD:";

while(<STDIN>)
{
   chop;
    s/\\$//g;
    s/^[^:]*://g;
    s/[ \t]+/ /g;
    s/^ //g;
    s/ $//g;
    @deps=split(/ /);
    push(@alldeps,@deps);
}

@sorted= sort(@alldeps);
unshift(@sorted,$name);

$cnt= 0;
$maxLength= -1;
foreach $dep (@sorted)
{
    $length= length($dep);
    $length+= 4 unless($cnt==0);
    $maxLength= $length unless($length<=$maxLength);
    ++$cnt;
}

$cnt= 0;
foreach $dep (@sorted)
{
    next if(substr($dep,0,1) eq '/');
    $length= $maxLength-length($dep)+1;
    $length+=4 if($cnt==0);
    print "    " unless($cnt==0);
    print "$dep";
    for($i=0;$i<$length;++$i)
    {
	print " ";
    }
    print "\\\n" unless($dep eq $sorted[-1]);
    ++$cnt;
}

print "\n\n";

