/*
 *	$Id: proxy.cpp 1.6 Thu, 14 Feb 2002 22:14:42 -0800 root $
 *	$ProjectHeader: pptpproxy 1.10 Sat, 06 Dec 2003 14:45:37 -0800 root $
 */

#include <proxy.h>
#include <pthread.h>

Proxy::Proxy(
char **argv
)
{
    debug= false;
    noFork= false;
    daemonized= false;
    greSocket= -1;
    logFile= 0;
    calleeIdPool= 0;
    callerIdPool= 1;

    pthread_mutex_t ilock= PTHREAD_MUTEX_INITIALIZER;
    lock= new pthread_mutex_t;
    hang= new pthread_mutex_t;
    *lock= ilock;
    *hang= ilock;

    options(argv);
    daemonize();
    startThread();
    server();
}

Proxy::~Proxy()
{
}

